#
# Cookbook Name:: netgroup
# Recipe:: default
#
# Copyright 2014, YOUR_COMPANY_NAME
#
# All rights reserved - Do Not Redistribute
#
cookbook_file '/etc/netgroup' do
   source 'header'
   owner 'root'
   group 'root'
   mode 0644
   cookbook 'netgroup'
   action :create_if_missing
end

cookbook_file '/tmp/etc-netgroup-header' do
   source 'header'
   owner 'root'
   group 'root'
   mode 0644
   cookbook 'netgroup'
end

bash 'add_netgroup_header' do
 user 'root'
 code <<-EOF
    cp -a /tmp/etc-netgroup-header /tmp/merge-etc-netgroup-header
    cat /etc/netgroup  >> /tmp/merge-etc-netgroup-header
    rm -rf /etc/netgroup
    cp -a /tmp/merge-etc-netgroup-header /etc/netgroup
    rm -rf /tmp/merge-etc-netgroup-header
 EOF
 not_if "grep -qE '^### CAUTION:' /etc/netgroup"
end
